## TrackerFileDataProvider TrackerFileDataProvider — File based data provider for file:// descendant URIs |

## Functions

TrackerDataProvider * | tracker_file_data_provider_new ()

## Types and Values

struct | TrackerFileDataProviderClass
| TrackerFileDataProvider

## Includes

    #include <libtracker-miner/miner.h>

## Description

TrackerFileDataProvider is a local file implementation of the TrackerDataProvider interface, charged with handling all file:// type URIs.

Underneath it all, this implementation makes use of the GFileEnumerator APIs.

## Functions

### tracker_file_data_provider_new ()

    TrackerDataProvider *
    tracker_file_data_provider_new (void);

Creates a new TrackerDataProvider which can be used to create new TrackerMinerFS classes. See TrackerMinerFS for an example of how to use your TrackerDataProvider.

#### Returns

a TrackerDataProvider which must be unreferenced with `g_object_unref()`.

[transfer full]

Since: 1.2:

## Types and Values

### struct TrackerFileDataProviderClass

    struct TrackerFileDataProviderClass {
    	GObjectClass parent_class;
    };

Prototype for the class implementation.

#### Members

GObjectClass `parent_class`; | Parent object class. |

### TrackerFileDataProvider

    typedef struct _TrackerFileDataProvider TrackerFileDataProvider;

An implementation of the TrackerDataProvider interface.